@import "reset.css";
@import "all.css";
@import "fonts.css";
* {
    box-sizing: border-box;
    
}
a {text-decoration: none;
cursor: pointer;}
.tagline-button:hover {
    transform: scale(1.2);
}
a:hover {
    transform: scale(1.1);
}
.navbar-items-links:hover {
    color: crimson;
    text-decoration: underline;
}
.container-body {
    max-width: 1900px;
    font-family: 'Open Sans',Arial, Helvetica, sans-serif;
    /* background-color: #f2f2f2; */
   }
.header {
    background-image: url(../img/header_background.jpeg);
    background-position: bottom; 
    background-repeat: no-repeat;
    background-size: cover; 
    background-attachment: fixed;
    background-color: black;
    height: 550px;
}
.container-header {
    color: whitesmoke;
    
}
.header-navbar {
  
  display: flex;  
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  background-color: #313131;
  align-items: center;
  font-size: 15px;
  
}
.header-logo {
    display: flex; 
    align-items: center;
    padding: 1em 0em;
 }
 #logo-img {margin: 0 1em;}
 #logo {
     font-size: 22px;
     font-weight: bold;
     text-transform: capitalize;
 }
.header-navbar-mainmenu {
    min-width: 50%;
    max-width: 70%;
    }
.navbar-items {
display: flex;  
flex-direction: row;
justify-content: space-between;
flex-wrap: wrap;
padding: 1em 0em;

}
.navbar-items-links {
    color: whitesmoke;
    padding: 4px;
    font-weight: 600;
    text-transform: uppercase;
}
.search {
    height: 100%;
    }
.button-search {
    color: whitesmoke;
    padding: 1.6em;
    height: 100%;
    background-color: black;
    text-align: center;
    font-size: inherit;
    border: none;
}
.button-search:hover .fas {transform: scale(1.5);}


.header-middle-part {
    /* background-image: url(../img/header_background.jpeg);
    background-position:bottom; 
    background-size: cover; 
    background-attachment: fixed;
    background-color: black; */
    height: 83%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* opacity: 0.8; */
}
.tagline {
    text-transform: uppercase;
    font-size: 37px;
    text-align: center;
    color: white;
    margin-bottom: 44px;
    }
    .tagline-button-container {
        display: flex;
        justify-content: center;
    }
.tagline-button {
    width:170px;
    padding: 18px 0px;
    color: white;
    font-weight: 600px;
    font-size: 18px;
    font-weight: 600;
    border: none;
    margin: 10px;
}
.first-btn {background-color: #89CA62;}
.second-btn {background-color: #14b9d5;}

.topic_2 {
    font-size: 27px;
    font-weight: bold;
    color: #18b4cf;
    text-transform: uppercase;
    padding: 60px 0px 52px;
    text-align: center;
}

.section-gallery {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.gallery-items {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: space-between;
    height: 860px;
    width: 1180px;
    }
.gallery-items-photo {
    /* display: flex;
    flex-direction: column;
    align-items: center; */
    width: 370px;
    margin-bottom: 30px;
    background-color: #F9F7f7;
}
.gallery-items-text {
    text-align: center;
    padding: 20px 0px;
    font-size: 18px;
    font-weight: bold;
    color: #353a3d;
}


.section-clients {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    background-image: url(../img/back_clients.jpeg);
    height: 600px;
    background-position: bottom; 
    background-repeat: no-repeat;
    background-size: cover; 
    background-attachment: fixed;
    background-color: black;

}
.topic_1 {
    position: relative;
    margin-bottom: 108px;
    color: white;
    font-size: 32px;
    font-weight: bold;
    text-transform: uppercase;
    line-height: 44px;
    
}
.topic_1::after {
    position: absolute;
    display: inline-block;
content:'';
    width:60px;
    height: 3px;
    background-color: #14b9d5;
    left: 210px;
    top: 90px;
}
.section-clients-logos {
    display: grid;
    width: 900px;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr;
    justify-items: center;
    
}
.section-clients-logos-items {
    align-self: end;
}

.top-rated-gallery {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
.news-gallery-container {
    display: grid;
    grid-template-columns: 277px 35px 242px 60px 242px 35px 277px;
    grid-template-rows: 259px repeat(2, 418px) 259px;
    grid-column-gap: 0px;
    grid-row-gap: 42px;
    justify-content: center;
}
.news-gallery-items {
     
background-color: #F9F7f7;}
.item_1 
{grid-area: 1 / 1 / 2 / 6;
    display: grid;
    grid-template-columns: 483px 373px;
    grid-template-rows: 259px;
    grid-column-gap: 0px;
    grid-row-gap: 0px;  
}
    .item_1-and-8_1 {
        grid-area: 1 / 1 / 2 / 2;
        display: grid;
        align-content: center;
    }
     .item_1-and-8_2 {
        grid-area: 1 / 2 / 2 / 3;
        display: grid;
        align-content: center;
     }
    
.item_2 {
    grid-area: 1 / 7 / 2 / 8;
    display: grid;
    grid-template-columns: 277px;
    grid-template-rows: 211px 48px;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
 
}


.item_3 {grid-area: 2 / 1 / 3 / 4;}
.item_4 {grid-area: 2 / 5 / 3 / 8;}
.item_5 {grid-area: 3 / 1 / 4 / 4;}
.item_6 {grid-area: 3 / 5 / 4 / 8;}
.twins-items {
    display: grid;
    grid-template-columns: 554px;
    grid-template-rows: 259px 159px;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    
}
.twins-items_1 {grid-area: 1 / 1 / 2 / 2;}
.twins-items_2 {
    grid-area: 2 / 1 / 3 / 2;
    display: grid;
    align-content: center;
}
.item_7 {
    grid-area: 4 / 1 / 5 / 2;
    display: grid;
    grid-template-columns: 277px;
    grid-template-rows: 211px 48px;
    grid-column-gap: 0px;
    grid-row-gap: 0px;}
.item_8 {grid-area: 4 / 3 / 5 / 8;
    display: grid;
    grid-template-columns: 373px 483px;
    grid-template-rows: 259px;
    grid-column-gap: 0px;
    grid-row-gap: 0px;  }
    .news-gallery-items-heading {
        font-weight: bold;
        text-align: right;
        font-size: 18px;
        line-height: 25px;
        padding: 10px 0px;
        margin-right: 27px;
        
    }
    .news-gallery-items-news {
        color: #5B6469;
        line-height: 21px;
        font-size: 14px;
        font-weight: 600;
        text-align: right;
        margin-right: 27px;
    }
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
.footer {
    background-color: black;
    display: flex;
    justify-content: space-around;
    align-items: baseline;
    margin-top: 71px;
}
.footer-rights {
    color: white;
    padding: 30px 5px;
    font-size: 13px;
    line-height: 21px;
}
